Mailinglist Archive: opensuse-buildservice (214 mails)

< Previous Next >
Re: [opensuse-buildservice] Question for unsupported packages: Octave, Scilab, Warsow
02.02.2012, 13:52, "Ruediger Meier" <sweet_f_a@xxxxxx>:

BTW you may also be interested in the FreeMat package which I've fixed
in Education repo lately.

cu,
Rudi

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

Thanks you, I installed FreeMat. This is a good application for science and
education!



02.02.2012, 18:36, "Petr Gajdos" <pgajdos@xxxxxxx>:

I am one of maintainers of octave, octave-forge and other related
packages. The history is such, that octave was moved into Contrib
in its good times as addon for Factory. When good times switched
to bad times, I moved it in science repo and I am satisfied with
it so far. It have some new dependencies that also don't exist in
factory.

If you want, you can surely help with any thing you want. Some tips
are:
..

Keep in touch,

Petr


02.02.2012, 18:45, "Claudio Freire" <klaussfreire@xxxxxxxxx>:
2012/2/2 Petr Gajdos <pgajdos@xxxxxxx>:

* octave-forge doesn't build some time for factory and openSUSE 12.1
due some gcc errors

If it's the same kind of errors I've been getting on my projects,
they're usually quite easily fixed. It's always some missing standard
header that got automatically included in older gcc and not in the
newer.

I'll try and dig through the errors...

Today I tried live Fedora 16 to see how it works this application.
In Fedora 16 the same mistakes, but I know distribution, where the octave runs
smoothly and correctly!
This is ArchLinux:

http://www.archlinux.org/packages/extra/x86_64/octave/ ( Dependencies (14) )
http://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/octave
(PKGBUILD is analog spec in RPM)
There are:
-PKGBUILD
-curlfix.patch (!!!)
-imread.patch (!!!)
-octave 3.4.0-gcc46.patch (!!!)
-octave.install

Unfortunately, I did not know how to create RPM, and even more so with the
patch. But these patches to be good to send in the upstream...
P.S. octave-forge no longer needed. (pkg install -forge <someExtension>)
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References